# Uses of Enum Class
org.apache.sysds.runtime.lineage.LineageCacheConfig.ReuseCacheType

Packages that use LineageCacheConfig.ReuseCacheType
Package
Description
org.apache.sysds.api
org.apache.sysds.api.mlcontext
org.apache.sysds.runtime.lineage

## Uses of LineageCacheConfig.ReuseCacheType in org.apache.sysds.api

Fields in org.apache.sysds.api declared as LineageCacheConfig.ReuseCacheType
Modifier and Type
Field
Description
`static LineageCacheConfig.ReuseCacheType`
DMLScript.`LINEAGE_REUSE`
`LineageCacheConfig.ReuseCacheType`
DMLOptions.`linReuseType`

## Uses of LineageCacheConfig.ReuseCacheType in org.apache.sysds.api.mlcontext

Methods in org.apache.sysds.api.mlcontext with parameters of type LineageCacheConfig.ReuseCacheType
Modifier and Type
Method
Description
`void`
MLContext.`setLineage(LineageCacheConfig.ReuseCacheType reuse)`
Set type of lineage-based reuse caching and enable lineage tracing

## Uses of LineageCacheConfig.ReuseCacheType in org.apache.sysds.runtime.lineage

Methods in org.apache.sysds.runtime.lineage that return LineageCacheConfig.ReuseCacheType
Modifier and Type
Method
Description
`static LineageCacheConfig.ReuseCacheType`
LineageCacheConfig.`getCacheType()`
`static LineageCacheConfig.ReuseCacheType`
LineageCacheConfig.ReuseCacheType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LineageCacheConfig.ReuseCacheType[]`
LineageCacheConfig.ReuseCacheType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.lineage with parameters of type LineageCacheConfig.ReuseCacheType
Modifier and Type
Method
Description
`static void`
LineageCacheConfig.`restartReuse(LineageCacheConfig.ReuseCacheType rop)`
`static void`
LineageCacheConfig.`setConfig(LineageCacheConfig.ReuseCacheType ct)`
`static void`
LineageCacheConfig.`setConfig(LineageCacheConfig.ReuseCacheType ct, org.apache.sysds.runtime.lineage.LineageCacheConfig.CachedItemHead ith, org.apache.sysds.runtime.lineage.LineageCacheConfig.CachedItemTail itt)`
`static void`
LineageCacheConfig.`setConfigTsmmCbind(LineageCacheConfig.ReuseCacheType ct)`